Subject: [EToSat] non-terrestrial connectivity solutions in TIP

From: Wesley Eddy <[email-masked]>
Date: Thu, 29 Jul 2021 16:24:53 -0400

I briefly mentioned this in the meeting today; the TIP has recently 
rebooted the Non-Terrestrial Connectivity Solutions (NTCS) Project Group 
(link below).

The PG had formerly focused mostly on HAPS, but has been rebooted to now 
address all types of satellite systems in addition.  Main goals at the 
moment include: (1) enabling 5G Core Network interfaces, even for 
non-3GPP or existing satcom networks (e.g. DVB, etc.) so satellite and 
airborne-based platform operators can benefit from common components and 
standard interfaces rather than only bespoke systems, and (2) advancing 
the capabilities for 5G NR air interfaces leveraging the NTN support 
developing in Rel-17, -18, and beyond, including for direct-to-handset 
services.

https://telecominfraproject.com/ntcs/

Some people on EToSat are at organizations that are already TIP NTCS 
members, but might not have been aware of this reboot. Anyone who would 
like to be involved can feel free to ping me.